Subject: Re: [PATCH v3 1/2] git-merge-file doc: drop "-file" from argument placeholders

From: Junio C Hamano <[email-masked]>
Date: Fri, 03 Nov 2023 01:28:35 +0900

Martin Ågren <[email-masked]> writes:

> Maybe you having a similar reaction a second time makes this smell a bit
> more?

Not at all.  I am perfectly OK with --object-*, not --blob-*, as the
end-user facing option name.  I however strongly prefer to see our
log messages record the thought behind the design accurately in
order to help future developers when they wonder what our intention
was back when the commit was created.

In this case, I want to see that we tell our future selves "even
though we named the option 'object', we plan to support blobs and
nothing else, at least for now".

Thanks.